aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2017-03-20 21:40:32 (GMT)
committerCarlo Landmeter <clandmeter@gmail.com>2017-03-20 21:40:32 (GMT)
commit835fcfc34f21ebf41fe17b32396c7adfa21cc2a7 (patch)
treea63bf8366b3d693e49b6ac51f6fe51d32ee0cf3f
parente600c084bdf6736681e1e14d66b77c1558eb5835 (diff)
downloadaports-835fcfc34f21ebf41fe17b32396c7adfa21cc2a7.tar.bz2
testing/fdupes: new aport
-rw-r--r--testing/fdupes/APKBUILD35
-rw-r--r--testing/fdupes/overide-prefix.patch11
2 files changed, 46 insertions, 0 deletions
diff --git a/testing/fdupes/APKBUILD b/testing/fdupes/APKBUILD
new file mode 100644
index 0000000..4656c0c
--- /dev/null
+++ b/testing/fdupes/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=fdupes
+pkgver=1.6.1
+pkgrel=0
+pkgdesc="identifying or deleting duplicate files residing within specified directories"
+url="https://github.com/adrianlopezroche/fdupes"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="fdupes-$pkgver.tar.gz::https://github.com/adrianlopezroche/fdupes/archive/v$pkgver.tar.gz
+ overide-prefix.patch
+ "
+builddir="$srcdir/fdupes-$pkgver"
+
+build() {
+ cd "$builddir"
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" PREFIX="/usr" install || return 1
+}
+
+check() {
+ "$builddir"/fdupes --version &> /dev/null
+}
+
+sha512sums="6c6662b70068c2f48f4be64a6830c81a66852d650391d0756f20b9ac0df7d70c1a32918bd7cbd50e19de524d9ebc09ea338c19636e1807b071eb96b325e641db fdupes-1.6.1.tar.gz
+57685eabb2688f1e64ca8d61e54088ea8ad10820d15c2467f04e75cc0ee293dff68646a87055b028e81ddc0c6c7d3bef5724aef9f7ba2b6c8e45dfe472e52e3d overide-prefix.patch"
diff --git a/testing/fdupes/overide-prefix.patch b/testing/fdupes/overide-prefix.patch
new file mode 100644
index 0000000..d08a3cf
--- /dev/null
+++ b/testing/fdupes/overide-prefix.patch
@@ -0,0 +1,11 @@
+--- ./Makefile.orig
++++ ./Makefile
+@@ -11,7 +11,7 @@
+ # determination of the actual installation directories.
+ # Suggested values are "/usr/local", "/usr", "/pkgs/fdupes-$(VERSION)"
+ #
+-PREFIX = /usr/local
++PREFIX ?= /usr/local
+
+ #
+ # When compiling for 32-bit systems, FILEOFFSET_64BIT must be enabled